<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_80) on Wed Sep 20 14:52:16 UTC 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<title>org.gradle.tooling.model.idea Class Hierarchy (Gradle API 4.2)</title>
<meta name="date" content="2017-09-20">
<link rel="stylesheet" type="text/css" href="../../../../../javadoc.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="org.gradle.tooling.model.idea Class Hierarchy (Gradle API 4.2)";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/model/gradle/package-tree.html">Prev</a></li>
<li><a href="../../../../../org/gradle/tooling/model/java/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/model/idea/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.gradle.tooling.model.idea</h1>
<span class="strong">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/Dependency.html" title="interface in org.gradle.tooling.model"><span class="strong">Dependency</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/ExternalDependency.html" title="interface in org.gradle.tooling.model"><span class="strong">ExternalDependency</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.idea.<a href="../../../../../org/gradle/tooling/model/idea/IdeaSingleEntryLibraryDependency.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">IdeaSingleEntryLibraryDependency</span></a> (also extends org.gradle.tooling.model.idea.<a href="../../../../../org/gradle/tooling/model/idea/IdeaDependency.html" title="interface in org.gradle.tooling.model.idea">IdeaDependency</a>)</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.model.idea.<a href="../../../../../org/gradle/tooling/model/idea/IdeaDependency.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">IdeaDependency</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.idea.<a href="../../../../../org/gradle/tooling/model/idea/IdeaModuleDependency.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">IdeaModuleDependency</span></a></li>
<li type="circle">org.gradle.tooling.model.idea.<a href="../../../../../org/gradle/tooling/model/idea/IdeaSingleEntryLibraryDependency.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">IdeaSingleEntryLibraryDependency</span></a> (also extends org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/ExternalDependency.html" title="interface in org.gradle.tooling.model">ExternalDependency</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.model.idea.<a href="../../../../../org/gradle/tooling/model/idea/IdeaCompilerOutput.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">IdeaCompilerOutput</span></a></li>
<li type="circle">org.gradle.tooling.model.idea.<a href="../../../../../org/gradle/tooling/model/idea/IdeaContentRoot.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">IdeaContentRoot</span></a></li>
<li type="circle">org.gradle.tooling.model.idea.<a href="../../../../../org/gradle/tooling/model/idea/IdeaDependencyScope.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">IdeaDependencyScope</span></a></li>
<li type="circle">org.gradle.tooling.model.idea.<a href="../../../../../org/gradle/tooling/model/idea/IdeaJavaLanguageSettings.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">IdeaJavaLanguageSettings</span></a></li>
<li type="circle">org.gradle.tooling.model.idea.<a href="../../../../../org/gradle/tooling/model/idea/IdeaLanguageLevel.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">IdeaLanguageLevel</span></a></li>
<li type="circle">org.gradle.tooling.model.idea.<a href="../../../../../org/gradle/tooling/model/idea/IdeaModuleIdentifier.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">IdeaModuleIdentifier</span></a></li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/Model.html" title="interface in org.gradle.tooling.model"><span class="strong">Model</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/Element.html" title="interface in org.gradle.tooling.model"><span class="strong">Element</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/HierarchicalElement.html" title="interface in org.gradle.tooling.model"><span class="strong">HierarchicalElement</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.idea.<a href="../../../../../org/gradle/tooling/model/idea/IdeaModule.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">IdeaModule</span></a> (also extends org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/HasGradleProject.html" title="interface in org.gradle.tooling.model">HasGradleProject</a>)</li>
<li type="circle">org.gradle.tooling.model.idea.<a href="../../../../../org/gradle/tooling/model/idea/IdeaProject.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">IdeaProject</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.idea.<a href="../../../../../org/gradle/tooling/model/idea/BasicIdeaProject.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">BasicIdeaProject</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/ProjectModel.html" title="interface in org.gradle.tooling.model"><span class="strong">ProjectModel</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/HasGradleProject.html" title="interface in org.gradle.tooling.model"><span class="strong">HasGradleProject</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.idea.<a href="../../../../../org/gradle/tooling/model/idea/IdeaModule.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">IdeaModule</span></a> (also extends org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/HierarchicalElement.html" title="interface in org.gradle.tooling.model">HierarchicalElement</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.gradle.tooling.model.<a href="../../../../../org/gradle/tooling/model/SourceDirectory.html" title="interface in org.gradle.tooling.model"><span class="strong">SourceDirectory</span></a>
<ul>
<li type="circle">org.gradle.tooling.model.idea.<a href="../../../../../org/gradle/tooling/model/idea/IdeaSourceDirectory.html" title="interface in org.gradle.tooling.model.idea"><span class="strong">IdeaSourceDirectory</span></a></li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/gradle/tooling/model/gradle/package-tree.html">Prev</a></li>
<li><a href="../../../../../org/gradle/tooling/model/java/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/gradle/tooling/model/idea/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
